%% ************************************************************************************************************ 
%  ************       					  		materialLibrary       	 		                   ************
%  ************************************************************************************************************
% codeMat : numerical code assign to each material, stored in the field MESH.mat
% materialParameters, sectionParameters : vector of material and geometric properties, in particular
%             materialParameters = E and sectionParameters = [A, J]
function[materialParameters, sectionParameters] = materialLibrary(codeMat)
    switch codeMat
        case 1
            %Young modulus
            E = 1; %210e9;

            %cross-sectional area
            A = 1; %0.1;

            %second moment of inertia
            J = 1; %5e-3;
            
            %mass density
            rho = 1; %7800;
            
        case 2
            %Young modulus
            E = 1;

            %cross-sectional area
            A = 100;

            %second moment of inertia
            J = 1;
            
            %mass density
            rho = 7800;
            
        case 3
            %Young modulus
            E = 210e9;

            %cross-sectional area
            A = 0.1;

            %second moment of inertia
            J = 5e-3;
            
            %mass density
            rho = 7800;
    end

    materialParameters = [E, rho];
    sectionParameters = [A, J];
end